uk.ac.starlink.votable.soap

## Class AxisTableDeserializerFactory

- java.lang.Object
- - uk.ac.starlink.votable.soap.AxisTableDeserializerFactory

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.rpc.encoding.DeserializerFactory

      public class AxisTableDeserializerFactory
      extends java.lang.Object
      implements org.apache.axis.encoding.DeserializerFactory

  Custom deserializer factory for streaming StarTables using AXIS.
  Since:
    23 Mar 2005
  Author:
    Mark Taylor (Starlink)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisTableDeserializerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.rpc.encoding.Deserializer` | `getDeserializerAs(java.lang.String mechanismType)`
    `java.util.Iterator` | `getSupportedMechanismTypes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AxisTableDeserializerFactory

          public AxisTableDeserializerFactory()

  - ### Method Detail

    - #### getDeserializerAs

          public javax.xml.rpc.encoding.Deserializer getDeserializerAs(java.lang.String mechanismType)

      Specified by:
        `getDeserializerAs` in interface `javax.xml.rpc.encoding.DeserializerFactory`

    - #### getSupportedMechanismTypes

          public java.util.Iterator getSupportedMechanismTypes()

      Specified by:
        `getSupportedMechanismTypes` in interface `javax.xml.rpc.encoding.DeserializerFactory`

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.